import { UiElement } from "./ui-element";

export class HiddenInput extends UiElement {
    private currentDate: any = ""
    constructor(
        private label: string,
        private elementId: string,
        private value: any,
        private containerId: string) {
        super(elementId, containerId, '');
        this.createElement(this.getTemplate());

    }


    public getTemplate() {
        const template =
            // "<div class='custom-text-area-element' >" +
            // " <input class='daynamicForm-Input' type='hidden' data-colm-text='"+this.label+"' id='" + this.elementId + "' value='" + this.value + "' />"+
            // "</div> ";

            "<ion-item style='display: none;'>" +
            "<ion-input type='Text' data-colm-text='" + this.label + "' id='" + this.elementId + "' value='" + this.value + "'></ion-input>" +
            "</ion-item> ";

        return template;
    }

}